Index: GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_vienna
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_vienna	(revision 2607)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_vienna	(revision 2607)
@@ -0,0 +1,319 @@
+#!/bin/sh
+
+
+#COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
+#COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace- -total_samples=500000000"
+
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace+ -samples_per_evaluation=5000000 -samples_per_pass=1000000 -total_samples=1000000000 -view_cells_use_kd_pvs+"
+
+
+SCENE=../data/vienna/vienna_cropped.obj
+VIEWCELLS=../data/vienna/vienna_cropped-gradient-viewcells.xml.gz
+#VIEWCELLS=../data/vienna/vienna-sequential-30000-single-viewcell.xml
+
+
+PREFIX=../work/plots/osp-vienna-SG08
+
+
+######################
+######################
+
+# # $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# # -preprocessor_visibility_file=$PREFIX-reference.xml \
+# # -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+# # -preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_buffer_size=100000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m1-1.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_buffer_size=200000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m1-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m1-3.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_buffer_size=1000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m1-4.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m1-5.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_buffer_size=4000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m1-6.log 
+
+
+# # ############################
+# # #### AND now the same with pass importance off
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=100000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m2-1.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=200000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m2-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m2-3.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=1000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m2-4.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m2-5.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=4000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m2-6.log 
+
+# # ################################################
+# # # silhouetee probability test
+# # ################################################
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.0 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m3-1.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.2 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m3-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m3-3.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.8 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m3-4.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=1.0 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m3-5.log 
+
+
+# ################################################
+# # reverse test
+# ################################################
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m4-1.log 
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_reverse_samples_distance=100000.0 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m4-2.log 
+
+
+# ### unsucc count test
+
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m5-1.log 
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m5-2.log 
+
+
+# ###########################################
+# # search steps test
+# ###########################################
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_search_steps=1 \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m6-1.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_search_steps=2 \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m6-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_search_steps=4 \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m6-3.log 
+
+
+# ###########################################
+# # radius test
+# ###########################################
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_radius_origin=0.2 \
+# -mutation_radius_termination=0.2 \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m7-1.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_radius_origin=1.0 \
+# -mutation_radius_termination=1.0 \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m7-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_radius_origin=0.5 \
+# -mutation_radius_termination=0.2 \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m7-3.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_radius_origin=0.5 \
+# -mutation_radius_termination=1.0 \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m7-4.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_radius_origin=0.2 \
+# -mutation_radius_termination=0.5 \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m7-5.log 
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_radius_origin=1.0 \
+# -mutation_radius_termination=0.5 \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m7-6.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_radius_origin=2.0 \
+# -mutation_radius_termination=0.5 \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m7-7.log 
+
+
+# ### selected tests
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=0.5 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-1.log 
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-mutation_silhouette_prob=0.5 \
+-mutation_reverse_samples_distance=1.0 \
+-mutation_radius_origin=1.0 \
+-mutation_radius_termination=0.2 \
+-mutation_use_unsucc_count_importance+ \
+-mutation_use_pass_importance- \
+-mutation_buffer_size=2000000 \
+-rss_distributions=mutation+object_direction+spatial \
+-preprocessor_stats=$PREFIX-combined-m8-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=2.0 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-3.log 
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-mutation_silhouette_prob=0.5 \
+-mutation_reverse_samples_distance=1.0 \
+-mutation_radius_origin=0.5 \
+-mutation_radius_termination=0.2 \
+-mutation_use_unsucc_count_importance- \
+-mutation_use_pass_importance+ \
+-mutation_buffer_size=2000000 \
+-rss_distributions=mutation+object_direction+spatial \
+-preprocessor_stats=$PREFIX-combined-m8-4.log 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pixel
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pixel	(revision 2607)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pixel	(revision 2607)
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+
+#COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -samples_per_pass=500000 -samples_per_evaluation=10000000 -total_samples=500000000"
+
+#SCENE="../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d"
+#VIEWCELLS=../data/vienna/vienna-viewcells-5000.xml
+
+
+#SCENE=../data/soda/soda.obj
+#VIEWCELLS=../data/soda/soda5-viewcells-1000.xml
+#VIEWCELLS=../data/soda/soda5-viewcells-single.xml
+
+#SCENE=../data/PowerPlant/selection.plb
+#VIEWCELLS=../data/PowerPlant/power_plant_viewcells1.xml
+
+#SCENE=../data/soda/soda5.dat
+#VIEWCELLS=../data/soda/soda-viewcells-5000.xml
+#VIEWCELLS=../data/soda/soda5-viewcells.xml
+#VIEWCELLS=../data/soda/soda5-viewcells-single.xml
+
+#SCENE=../data/artificial/city.x3d
+#VIEWCELLS=../data/soda/soda5-viewcells2.xml
+#VIEWCELLS=../data/artificial/city-viewcells-1000.xml
+
+#SCENE=../data/test1/test2.x3d
+#VIEWCELLS=../data/test1/test-viewcells.xml
+
+SCENE=../data/vienna/vienna_cropped.obj
+VIEWCELLS=../data/vienna/vienna_cropped-gradient-viewcells.xml.gz
+
+# view cells used for pixel error measurement
+#VIEWCELLS=../data/vienna/vienna-seq-viewcells-20000.xml.gz
+
+PREFIX=../work/plots/osp-PIXEL3-1e5
+
+#SCENE=../data/atlanta/atlanta2.x3d
+#PREFIX=../work/plots/atlanta2-rss9
+
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+-view_cells_use_kd_pvs+ -af_use_kd_pvs- \
+-preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4l.xml \
+-preprocessor_stats=$PREFIX-i-mixed-b1-n4l.log \
+-preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4l.hlog
+
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -preprocessor_visibility_file=$PREFIX-r-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+# -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4k.xml \
+# -preprocessor_stats=$PREFIX-i-mixed-bvh-n4k.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4k.hlog
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+# -preprocessor_visibility_file=$PREFIX-r-bvh-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-bvh-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-bvh-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-bvh-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-bvh-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-bvh-reference-global.hlog
+
+
+
+#############
+#############
+#############
+#############
+#############
+
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4i.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-bvh-n4i.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4i.hlog
+
+
+
+#$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+# -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4i.xml \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n4i.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4i.hlog
+
+
+# e - no origin mutation, silh. tm Q=2, reverse samples
+# f - no origin, q=2, no reverse samples
+# g - gaussian origin, q=2, reverse samples
+
+# g, h contain pvs error estimations...
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=rss+object_direction+spatial+object+direction -view_cells_filter_max_size=1 \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n2.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n2.hlog
+
+
+
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test2
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test2	(revision 2607)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test2	(revision 2607)
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+
+#COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter+ -samples_per_evaluation=5000000 -samples_per_pass=1000000 -total_samples=100000000"
+
+
+#SCENE="../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d"
+#VIEWCELLS=../data/vienna/vienna-viewcells-5000.xml
+
+
+#SCENE=../data/soda/soda.obj
+#VIEWCELLS=../data/soda/soda5-viewcells-1000.xml
+#VIEWCELLS=../data/soda/soda5-viewcells-single.xml
+
+#SCENE=../data/PowerPlant/selection.plb
+#VIEWCELLS=../data/PowerPlant/power_plant_viewcells1.xml
+
+#SCENE=../data/soda/soda5.dat
+#VIEWCELLS=../data/soda/soda-viewcells-5000.xml
+#VIEWCELLS=../data/soda/soda5-viewcells.xml
+#VIEWCELLS=../data/soda/soda5-viewcells-single.xml
+
+#SCENE=../data/artificial/city.x3d
+#VIEWCELLS=../data/soda/soda5-viewcells2.xml
+#VIEWCELLS=../data/artificial/city-viewcells-1000.xml
+
+#SCENE=../data/test1/test2.x3d
+#VIEWCELLS=../data/test1/test-viewcells.xml
+
+
+SCENE=../data/vienna/vienna_cropped.obj
+VIEWCELLS=../data/vienna/vienna_cropped-gradient-viewcells.xml.gz
+
+# SCENE=../data/Pompeii/PompeiiTen.obj
+# VIEWCELLS=../data/Pompeii/pompeii_big-seq-viewcells.xml.gz
+
+PREFIX=../work/plots/osp-FILTER-1e5
+
+#SCENE=../data/atlanta/atlanta2.x3d
+#PREFIX=../work/plots/atlanta2-rss9
+
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-rss_distributions=mutation+object_direction+spatial \
+-view_cells_filter_width=1.0 \
+-view_cells_use_kd_pvs+ -af_use_kd_pvs- \
+-preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4a.xml \
+-preprocessor_stats=$PREFIX-i-mixed-b1-n4a.log \
+-preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4a.hlog
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-rss_distributions=mutation+object_direction+spatial \
+-view_cells_filter_width=0.0 \
+-view_cells_use_kd_pvs+ -af_use_kd_pvs- \
+-preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4b.xml \
+-preprocessor_stats=$PREFIX-i-mixed-b1-n4b.log \
+-preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4b.hlog
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-rss_distributions=mutation+object_direction+spatial \
+-view_cells_filter_width=1.0 \
+-view_cells_use_kd_pvs+ -af_use_kd_pvs+ \
+-preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4c.xml \
+-preprocessor_stats=$PREFIX-i-mixed-b1-n4c.log \
+-preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4c.hlog
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -preprocessor_visibility_file=$PREFIX-r-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+# -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4k.xml \
+# -preprocessor_stats=$PREFIX-i-mixed-bvh-n4k.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4k.hlog
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+# -preprocessor_visibility_file=$PREFIX-r-bvh-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-bvh-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-bvh-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -view_cells_use_kd_pvs- -af_use_kd_pvs+ \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-bvh-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-bvh-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-bvh-reference-global.hlog
+
+
+
+#############
+#############
+#############
+#############
+#############
+
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4i.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-bvh-n4i.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4i.hlog
+
+
+
+#$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+# -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4i.xml \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n4i.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4i.hlog
+
+
+# e - no origin mutation, silh. tm Q=2, reverse samples
+# f - no origin, q=2, no reverse samples
+# g - gaussian origin, q=2, reverse samples
+
+# g, h contain pvs error estimations...
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=rss+object_direction+spatial+object+direction -view_cells_filter_max_size=1 \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n2.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n2.hlog
+
+
+
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pompeii
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pompeii	(revision 2607)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_pompeii	(revision 2607)
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+
+#COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
+
+# OLD COMMAND USED for SG07
+#COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace- -total_samples=100000000 -samples_per_pass=1000000"
+
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace- -samples_per_evaluation=5000000 -samples_per_pass=1000000 -total_samples=1000000000 -view_cells_use_kd_pvs- -af_use_kd_pvs- -kd_pvs_area=1e-5"
+
+
+# SIGGRAPH RESULTS probably measured with detect_empty_viewspace off
+# and -view_cells_use_kd_pvs-
+
+SCENE=../data/Pompeii/PompeiiTen.obj
+VIEWCELLS=../data/Pompeii/pompeii_big-seq-viewcells.xml.gz
+
+PREFIX=../work/plots/osp-pompeii-SG08a
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4n.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-b1-n4n.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4n.hlog
+
+# # n - no origin mutation, q=2, reverse samples
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -preprocessor_visibility_file=$PREFIX-r-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+
+##### BVH measurements
+
+
+$COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-preprocessor_visibility_file=$PREFIX-r-bvh-reference.xml \
+-view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-bvh-reference.log \
+-preprocessor_histogram_file=$PREFIX-r-bvh-reference.hlog
+
+$COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+ -rss_distributions=direction -view_cells_filter_max_size=1 \
+ -preprocessor_visibility_file=$PREFIX-r-bvh-reference-global.xml \
+ -preprocessor_stats=$PREFIX-r-bvh-reference-global.log \
+ -preprocessor_histogram_file=$PREFIX-r-bvh-reference-global.hlog
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4n.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-bvh-n4n.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4n.hlog
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=1.0 \
+# -mutation_radius_termination=1.0 \
+# 	-mutation_use_unsucc_count_importance- \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=500000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m5-2.log 
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=1.0 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=2.0 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-3.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=0.5 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance- \
+# -mutation_use_pass_importance+ \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-4.log 
+
+#mutation+object_direction+
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_arena
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_arena	(revision 2607)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_arena	(revision 2607)
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+#COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace+ -total_samples=500000000"
+
+
+SCENE=../data/Arena/arena-high-lods.obj
+VIEWCELLS=../data/Arena/viewcells-5000.xml.gz
+
+PREFIX=../work/plots/osp-arena-SG08
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4a.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-b1-n4a.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4a.hlog
+
+# # n - no origin mutation, q=2, reverse samples
+
+# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -preprocessor_visibility_file=$PREFIX-r-reference.xml \
+# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+# -preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=direction -view_cells_filter_max_size=1 \
+#  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+#  -preprocessor_stats=$PREFIX-r-reference-global.log \
+#  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+# -total_samples=500000000000 -total_time=12208 \
+#mutation+object_direction+
+
+# BVH
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial \
+#  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4n.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-bvh-n4n.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4n.hlog
+
+
+# ### selected tests
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-mutation_silhouette_prob=0.5 \
+-mutation_reverse_samples_distance=1.0 \
+-mutation_radius_origin=1.0 \
+-mutation_radius_termination=1.0 \
+-mutation_use_unsucc_count_importance- \
+-mutation_use_pass_importance- \
+-mutation_buffer_size=500000 \
+-rss_distributions=mutation+object_direction+spatial \
+-preprocessor_stats=$PREFIX-combined-m5-2.log 
+
+
+$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-mutation_silhouette_prob=0.5 \
+-mutation_reverse_samples_distance=1.0 \
+-mutation_radius_origin=1.0 \
+-mutation_radius_termination=0.2 \
+-mutation_use_unsucc_count_importance+ \
+-mutation_use_pass_importance- \
+-mutation_buffer_size=2000000 \
+-rss_distributions=mutation+object_direction+spatial \
+-preprocessor_stats=$PREFIX-combined-m8-2.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=2.0 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance+ \
+# -mutation_use_pass_importance- \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-3.log 
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -mutation_silhouette_prob=0.5 \
+# -mutation_reverse_samples_distance=1.0 \
+# -mutation_radius_origin=0.5 \
+# -mutation_radius_termination=0.2 \
+# -mutation_use_unsucc_count_importance- \
+# -mutation_use_pass_importance+ \
+# -mutation_buffer_size=2000000 \
+# -rss_distributions=mutation+object_direction+spatial \
+# -preprocessor_stats=$PREFIX-combined-m8-4.log 
+
+
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_powerplant
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_powerplant	(revision 2607)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SG08/run_test_powerplant	(revision 2607)
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+#COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -preprocessor_detect_empty_viewspace+ -total_samples=500000000"
+
+
+SCENE=../data/PowerPlant/PowerPlantM.obj
+VIEWCELLS=../data/PowerPlant/powerplant-seq-viewcells.xml.gz
+
+PREFIX=../work/plots/osp-powerplant-1e5
+
+
+
+# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+#  -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
+#  -view_cells_use_kd_pvs+ -af_use_kd_pvs+ \
+#  -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4a.xml \
+#  -preprocessor_stats=$PREFIX-i-mixed-b1-n4a.log \
+#  -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4a.hlog
+
+# n - no origin mutation, q=2, reverse samples
+
+$COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+-preprocessor_visibility_file=$PREFIX-r-reference.xml \
+-view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
+-preprocessor_histogram_file=$PREFIX-r-reference.hlog
+
+$COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+ -rss_distributions=direction -view_cells_filter_max_size=1 \
+ -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
+ -preprocessor_stats=$PREFIX-r-reference-global.log \
+ -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
+
+#mutation+object_direction+
